Page MenuHomePhabricator

Scrum for Phabricator: what is really missing?
Closed, ResolvedPublic

Description

We need to evaluate the extra tools that teams using Trello are adopting in order to organize their development: Scrum for Trello, Hatjitsu, Google Spreadsheets (example)... what else?

Mingle and obviously Scrumbugz also support scrum processes.

What do we really miss in Phabricator? Any blockers and other requests worth to be shared upstream, worth planning for?

Details

Reference
fl238

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:32 AM
flimport set Reference to fl238.

anne wrote on 2014-05-01 23:35:25 (UTC)

Fundraising definitely wants visualizations around our backlog as well as work completed. You can see what we use here: https://wikimedia.mingle.thoughtworks.com/projects/online_fundraiser/overview

We could probably get away with a bit more simplicity, but not too much.

tomasz wrote on 2014-05-05 21:20:24 (UTC)

That list above is pretty complete for the Mobile App team

qgil wrote on 2014-05-06 01:06:10 (UTC)

Does "Scrum for Trello" provide the same functionality than Scrumbugz? See T244 and e.g. http://sb.wmflabs.org/t/wikidata-developers/2014-04-23/

Is http://hat.jit.su/ integrated with Trello as well, or do you run it separately? Is there any work that we would need to plan for in order to keep it in a Phabricator scenario?

tomasz wrote on 2014-05-06 16:50:45 (UTC)

Scrum for Trello provides three things

  1. An easy way of setting points by clicking on the description and selecting the point amount from a pre set list
  2. A total point score for each column
  3. A total point score for the whole board

http://hat.jit.su/ is a totally seperate tool. Were fine running it alongside fabricator. No need to migrate.

aklapper wrote on 2014-08-10 19:42:00 (UTC)

For the records: This test instance on Labs currently offers a custom field for agile points when creating or editing a Maniphest task. That custom field was created by somebody in the very early days of this Labs instance, just to play with available options.

Initially in the future Phabricator production instance, there will not be a "Points" field as long as there are no tools available to visualize these points (refer to T244 for that), or useful query functionality for those points.

Qgil moved this task from Backlog to Need discussion on the Project-Management board.
faidon removed a subscriber: faidon.Nov 24 2014, 2:53 PM

Due dates on tasks! And a calendar view that visualization tasks with dates.

@Jaredzimmerman-WMF: You could express a due date via a sprint project. Calendar: T466

@Aklapper I'm not sure I understand what you mean. Like a work board column or tag that is a date?

Qgil added a comment.Nov 26 2014, 8:31 PM

Due dates on tasks connected with a calendar deserves to be discussed in its own task. Can you create it, please?

Qgil closed this task as Resolved.Dec 12 2014, 11:16 AM
Qgil claimed this task.

When it comes to Scrum for Phabricator, the basics are now covered by the Sprint extension.

The life of this task has come to an end. If you have more requests, the first logical destination for them is Phabricator-Sprint-Extension, and Project-Management should be your last resort.

Resolving.